gnutls_priority_init(3)

NAME
gnutls_priority_init - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_priority_init(gnutls_priority_t * priority_cache, const char * priorities, const char ** err_pos);

ARGUMENTS

gnutls_priority_t * priority_cache
    is a gnutls_prioritity_t type.

const char * priorities
    is a string describing priorities (may be NULL)

const char ** err_pos
    In case of an error this will have the position in the string the error occurred

DESCRIPTION
For applications that do not modify their crypto settings per release, consider using gnutls_priority_init2() with GNUTLS_PRIORITY_INIT_DEF_APPEND flag instead. We suggest to use centralized crypto settings handled by the GnuTLS library, and applications modifying the default settings to their needs. This function is identical to gnutls_priority_init2() with zero flags. A NULL priorities string indicates the default priorities to be used (this is available since GnuTLS 3.3.0).

RETURNS
On syntax error GNUTLS_E_INVALID_REQUEST is returned, GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/